    # File lib/memcache/pg_server.rb, line 46
        def incr(key, amount = 1)
          transaction do
            value = get(key)
            return unless value
            return unless value =~ /^\d+$/

            value = value.to_i + amount
            value = 0 if value < 0
            db.exec %{
              UPDATE #{table} SET value = #{quote(value)}, updated_at = NOW()
                WHERE key = #{quote(key)} AND #{prefix_clause}
            }
            value
          end
        end